Package: groovy.transform

## [Groovy] Annotation Type ImmutableProperties

- groovy.transform.ImmutableProperties

- All Implemented Interfaces and Traits:
    Annotation

      @ImmutableOptions
      @PropertyOptions(propertyHandler: ImmutablePropertyHandler)
      @AnnotationCollector(mode: AnnotationCollectorMode.PREFER_EXPLICIT_MERGED)
      @Retention(value: RetentionPolicy.SOURCE)
      @Target(value: ElementType.TYPE)
      @interface ImmutableProperties

  Meta annotation used when just the immutable properties part of `@Immutable` is desired.

  See Also:
    Immutable
  Since:
    4.0.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`